#
# spec file for package rman (Version 3.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rman
License:        Artistic-1.0
Group:          Documentation/Man
AutoReqProv:    on
Version:        3.2
Release:        164.1
Summary:        RosettaMan - Filter for Manpages
Url:            http://polyglotman.sourceforge.net
Source:         ftp://polyglot.sourceforge.net/pub/polyglotman/rman-%{version}.tar.gz
Source1:        artistic-license.txt
Source2:        rman.xinetd
Patch:          rman.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       xinetd

%description
RosettaMan is a filter for UNIX manual pages needed by TkMan. It takes,
as input, man pages formatted for a variety of UNIX flavors (not
[tn]roff source) and produces, as output, a variety of file formats.
Http-rman is also included. It provides access to the man pages via a
normal web browser.



Authors:
--------
    T.A. Phelps <phelps@cs.Berkeley.EDU>

%prep
%setup -q
%patch
cp %{SOURCE1} .

%build
make CFLAGS="$RPM_OPT_FLAGS"
cd contrib
cc -o http-rman -D_GNU_SOURCE $RPM_OPT_FLAGS http-rman.c	

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/rman
make install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1
cd contrib
install -D http-rman $RPM_BUILD_ROOT%{_sbindir}/http-rman

%files
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/rman
%{_bindir}/rman
%doc CHANGES artistic-license.txt README-rman.txt rman.html contrib
%doc %{_mandir}/man1/rman.1.gz
%{_sbindir}/http-rman

%changelog
* Wed Sep 30 2009 crrodriguez@opensuse.org
- This package requires xinetd
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Tue Jan 25 2005 max@suse.de
- New version: 3.2
- Added the contrib subdir to the RPM.
* Thu Feb 26 2004 hmacht@suse.de
- building as nonroot-user
* Fri Mar  7 2003 ro@suse.de
- added xinetd config file (#24679)
* Mon Jan 29 2001 bk@suse.de
- Update to last version 3.0.9(now under Open Source Artistic License)
- merge http-rman.tar.gz and http-rman.dif to new rman-3.0.9.dif
- Change to Buildroot and fix Group tag
* Fri Jan 28 2000 bk@suse.de
- added a small security fix from Marc
* Sun Oct 31 1999 kukuk@suse.de
- Compile http-rman with correct compiler flags
* Fri Oct 29 1999 werner@suse.de
- More secure: use mkstemp and remove temp file even if signaled
* Wed Oct 13 1999 max@suse.de
- new version 3.0.8 was needed for tkman-2.1b2
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 17 1998 tmg@suse.de
- cleaned up http-rman code heavily
- fixed several buffer overflow possibilities
- simple security check on man page names
- unset MANPATH (again!)
* Tue Nov 18 1997 ro@suse.de
- changed path to usr/doc/susehilf in http-rman
* Fri Jun  6 1997 bs@suse.e
- unset MANPATH in http-rman
* Wed May 21 1997 hf@suse.de
  A new package rman. Version 3.0.2a9
  This package includes the rman used by tkman and http-rman
  used by susehilfe.
* Fri May 16 1997 hf@suse.de
  A new package rman. Version 2.4
  This package includes the rman used by tkman and http-rman
  used by susehilfe.
